Waardering 3 van 5 sterren

Looks good but there's no Firefox 3-3.5b4 support!